/* eslint-disable */
import React from 'react';
import Footer from './Footer';
import './index.less';
import NavBar from './NavBar';
import SearchBox from './SearchBox';
export default function index(props) {
  var showCot = props.showCot;
  return /*#__PURE__*/React.createElement("div", {
    className: "eshopw_style"
  }, showCot && /*#__PURE__*/React.createElement(NavBar, {
    showCot: showCot
  }), showCot && /*#__PURE__*/React.createElement(SearchBox, {
    showCot: showCot
  }), props.children, showCot && /*#__PURE__*/React.createElement(Footer, {
    showCot: showCot
  }));
}